#pragma once

#include "vertex_engine/utils/utils.hpp" // IWYU pragma: keep
#include "vertex_engine/glfw/glfw.hpp"

namespace VE
{
	class gui
	{
    public:
       gui(std::unique_ptr<glfw>& g);
      ~gui();

    public:
      void begin_frame();
      void end_frame();

    private:
      std::unique_ptr<glfw>& m_glfw;
	};
}
